Configuration

Get configuration

Retrieves the current Bifrost configuration including client config, framework config, auth config, and connection status for various stores.

GET
/api/config
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Query Parameters

from_db?string

If true, fetch configuration directly from the database

Value in"true" | "false"

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/config?from_db=true"
{
  "client_config": {
    "drop_excess_requests": true,
    "prometheus_labels": [
      "string"
    ],
    "allowed_origins": [
      "string"
    ],
    "initial_pool_size": 0,
    "enable_logging": true,
    "disable_content_logging": true,
    "allow_per_request_content_storage_override": false,
    "allow_per_request_raw_override": false,
    "enforce_auth_on_inference": true,
    "enforce_governance_header": true,
    "max_request_body_size_mb": 0,
    "compat": {
      "convert_text_to_chat": true,
      "convert_chat_to_responses": true,
      "should_drop_params": true,
      "should_convert_params": false
    },
    "log_retention_days": 0,
    "header_filter_config": {
      "allowlist": [
        "string"
      ],
      "denylist": [
        "string"
      ]
    },
    "mcp_agent_depth": 0,
    "mcp_tool_execution_timeout": 0,
    "mcp_code_mode_binding_level": "string",
    "required_headers": [
      "string"
    ],
    "logging_headers": [
      "string"
    ],
    "mcp_external_base_url": "string"
  },
  "framework_config": {
    "id": 0,
    "pricing_url": "string",
    "pricing_sync_interval": 0
  },
  "auth_config": {
    "admin_username": "string",
    "admin_password": "string",
    "is_enabled": true,
    "disable_auth_on_inference": true
  },
  "is_db_connected": true,
  "is_cache_connected": true,
  "is_logs_connected": true,
  "proxy_config": {
    "enabled": true,
    "type": "http",
    "url": "string",
    "username": "string",
    "password": "string",
    "no_proxy": "string",
    "timeout": 0,
    "skip_tls_verify": true,
    "enable_for_scim": true,
    "enable_for_inference": true,
    "enable_for_api": true
  },
  "restart_required": {
    "required": true,
    "reason": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings